%define oname   haml

Name:       ruby-%{oname}
Version:    3.0.25
Release:    %mkrel 2
Summary:    An elegant, structured XHTML/XML templating engine
License:    GPLv2+
Group:      Development/Ruby
URL:        http://haml-lang.com/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(yard) >= 0.5.3
BuildRequires: rubygem(maruku) >= 0.5.9
Requires:   rubygem(fssm) = 0.1.4
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Haml (HTML Abstraction Markup Language) is a layer on top of XHTML or
XML
that's designed to express the structure of XHTML or XML documents
in a non-repetitive, elegant, easy way,
using indentation rather than closing tags
and allowing Ruby to be embedded with ease.
It was originally envisioned as a plugin for Ruby on Rails,
but it can function as a stand-alone templating engine.

%files
%defattr(-, root, root, -)
%{_bindir}/haml
%{_bindir}/html2haml
%{_bindir}/sass
%{_bindir}/css2sass
%{_bindir}/sass-convert
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/VERSION*
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{_datadir}/emacs/site-lisp/*.el

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build -f^VERSION

%install
rm -rf %{buildroot}
%gem_install

rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/.yardoc
chmod 644 %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/sass/less.rb

install -d %{buildroot}%{_datadir}/emacs/site-lisp
install -D -m644 extra/haml-mode.el %{buildroot}%{_datadir}/emacs/site-lisp/
install -D -m644 extra/sass-mode.el %{buildroot}%{_datadir}/emacs/site-lisp/

%clean
rm -rf %{buildroot}



%changelog
* Sat Feb 19 2011 shikamaru <shikamaru> 3.0.25-2.mga1
+ Revision: 54141
- Filter VERSION files, otherwise cucumber fails

* Sat Feb 12 2011 shikamaru <shikamaru> 3.0.25-1.mga1
+ Revision: 50838
- imported package ruby-haml


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 3.0.25-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- new version 3.0.25

* Sun Dec 19 2010 Rémy Clouard <shikamaru@mandriva.org> 3.0.24-1mdv2011.0
+ Revision: 623120
- import rubygem-haml
